# w.c.s. - web application for online forms
# Copyright (C) 2005-2013  Entr'ouvert
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

from django.conf.urls import url

from . import compat
from . import views
from . import api

urlpatterns = [
    url(r'^robots.txt$', views.robots_txt),
    url(r'^backoffice/', views.backoffice),

    url(r'^__provision__/$', api.provisionning),
    url(r'^api/validate-condition$', api.validate_condition, name='api-validate-condition'),
    url(r'^api/validate-expression$', api.validate_expression, name='api-validate-expression'),
    url(r'^api/reverse-geocoding$', api.reverse_geocoding, name='api-reverse-geocoding'),
    url(r'^api/geocoding$', api.geocoding, name='api-geocoding'),

    # provide django.contrib.auth view names for compatibility with
    # templates created for classic django applications.
    url(r'^login/$', compat.quixote, name='auth_login'),
    url(r'^logout$', compat.quixote, name='auth_logout'),
]

# other URLs are handled by the quixote handler
urlpatterns.append(url(r'', compat.quixote, name='quixote'))
